TourServiceImpl (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.server
Class TourServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.user.guidedtour.server.TourServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, TourService

    public class TourServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements TourService

The server side implementation of the RPC service.

See Also:
  Serialized Form

Field Summary
`boolean` | `withinPortal`

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`TourServiceImpl()`

Method Summary
`static String` | `getUniqueIdentifier(String username, String portletid)` need to trunc to 75 char as declared in the schema ( type character varying(75))
`void` | `setNotShowItAgain(String portletUniqueId)`
`Boolean` | `showTour(String portletUniqueId)` check if a custom attribute with name portlet name exists

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### withinPortal

    public boolean withinPortal

Constructor Detail

### TourServiceImpl

    public TourServiceImpl()

Method Detail

### showTour

    public Boolean showTour(String portletUniqueId)

  check if a custom attribute with name portlet name exists

  Specified by:
    `showTour` in interface `TourService`

### setNotShowItAgain

    public void setNotShowItAgain(String portletUniqueId)

  Specified by:
    `setNotShowItAgain` in interface `TourService`

### getUniqueIdentifier

    public static String getUniqueIdentifier(String username,
                                             String portletid)

  need to trunc to 75 char as declared in the schema ( type character varying(75))

  Parameters:
    `username` -
    `portletid` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.